> ## Documentation Index
> Fetch the complete documentation index at: https://docs.0xarchive.io/llms.txt
> Use this file to discover all available pages before exploring further.

# SymbolsResponse Schema

> Public symbol universe response. Includes required fields, field types, schema references, and generated JSON details from the 0xArchive OpenAPI contract.

Source OpenAPI: 0xArchive API 1.6.1; 147 paths; 128 component schemas.

Public symbol universe response.

## Required Fields

| Field     | Type           | Description                                 |
| --------- | -------------- | ------------------------------------------- |
| `symbols` | array\<object> | Defined by the generated JSON Schema block. |

## JSON Schema

```json theme={"theme":"github-dark"}
{
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "title": "SymbolsResponse",
  "description": "Public symbol universe response.",
  "type": "object",
  "required": [
    "symbols"
  ],
  "properties": {
    "symbols": {
      "type": "array",
      "items": {
        "description": "Public market symbol entry.",
        "type": "object",
        "required": [
          "data_types",
          "exchange",
          "symbol"
        ],
        "properties": {
          "coverage_by_type": {
            "type": "object",
            "additionalProperties": {
              "type": "string",
              "format": "date-time"
            }
          },
          "coverage_from": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "coverage_to": {
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "data_types": {
            "type": "array",
            "items": {
              "type": "string"
            },
            "example": [
              "l2_orderbook",
              "trades",
              "liquidations"
            ]
          },
          "display_title": {
            "type": "string",
            "nullable": true
          },
          "exchange": {
            "description": "Venue-family key.",
            "type": "string",
            "example": "hyperliquid"
          },
          "is_active": {
            "type": "boolean",
            "nullable": true
          },
          "is_settled": {
            "type": "boolean",
            "nullable": true
          },
          "outcome_pair": {
            "type": "array",
            "nullable": true,
            "items": {
              "type": "string"
            },
            "minItems": 2,
            "maxItems": 2
          },
          "size_per_day": {
            "type": "object",
            "additionalProperties": {
              "type": "number"
            }
          },
          "slug": {
            "description": "HIP-4 slug when available.",
            "type": "string",
            "nullable": true
          },
          "symbol": {
            "type": "string",
            "example": "BTC"
          }
        },
        "additionalProperties": false
      }
    }
  }
}
```

## Referenced By

* [GET /v1/symbols](/schemas/operations/list-symbols)
